会員自由項目ラベル削除
DELETE
/customers/custom_field_labels/{no}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels/1 \ --header 'Authorization: Bearer <token>'会員自由項目ラベル情報を削除します。
指定した会員自由項目ラベルと、全会員の当該会員自由項目の値を物理削除します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”no
required
integer
会員自由項目番号
Responses
Section titled “Responses”削除成功
- 指定した会員自由項目ラベルが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}